#include-once

#include <EditConstants.au3>

Func CreateStatusbar( $fStars = False )

	If $fStars Then
		$iStarsXpos = 130
		StarsControls( $hGui, $iStarsXpos, $iHeight + 3, False )
	EndIf

	; Use a child window as a container for controls in the Statusbar
	$hStatusbar = GUICreate( "", $iGuiWidth - 4 , 24, 2, $iHeight + 3 , $WS_CHILD, -1, $hGui )

	; Number of sparklers, 4 - 8
	GUICtrlCreateLabel( "Sparklers:", 2, 5, 50, 14 )
	$idSparklers = GUICtrlCreateInput( "6", 55, 2, 36, 20 )
	GUICtrlSetStyle( $idSparklers, $ES_READONLY )
	GUICtrlSetBkColor( $idSparklers, 0xFFFFFF )
	GUICtrlCreateUpdown( $idSparklers )
	GUICtrlSetLimit( -1, 8, 4 )
	GUICtrlSetOnEvent( $idSparklers, "Sparklers" )

	; Vertical splitterbar
	If $fStars Then _
		GUICtrlCreateLabel( "", 110, 2, 3, 20, $SS_ETCHEDFRAME )

	GUISetState( @SW_SHOW, $hStatusbar )
	GUISwitch( $hGui )

	; Label to make it look nicer
	GUICtrlCreateLabel( "", 0, $iHeight + 1, $iGuiWidth + 4, $iStatusBarHeight, $SS_ETCHEDFRAME )
	GUICtrlSetResizing( -1, $GUI_DOCKSTATEBAR )

EndFunc

Func Sparklers()
	$newSparklers = GUICtrlRead( $idSparklers )
EndFunc
