#include-once

Global $aImages[$nImages] = [ _
	$images & "\Cubes\Cube number 1.jpg" , _
	$images & "\Cubes\Cube number 2.jpg" , _
	$images & "\Cubes\Cube number 3.jpg" , _
	$images & "\Cubes\Cube number 4.jpg" , _
	$images & "\Cubes\Cube number 5.jpg" , _
	$images & "\Cubes\Cube number 6.jpg" ]

Func CreateResources()
	Local $iTexture, $w, $h

	For $i = 0 To $nImages - 1
		If Not LoadTextureImage( $iTexture, $aImages[$i], $w, $h ) Then Return 0
		$aTextures[$i] = $iTexture
	Next

	CreateCubeSides()
	CreateCubeCorners( $iCornerList )
	GUISetState()
	Return 1
EndFunc

Func CreateCubeSides()

	$iSideList = glGenLists( 1 )

	glNewList( $iSideList, $GL_COMPILE )

		; Texture coordinates
		#cs#####################    Note how 0,0 migrate from upper left to lower right
		 1      2      3      4
		---    ---    ---    ---
		0,0    0,1    1,1    1,0
		1,0    0,0    0,1    1,1
		1,1    1,0    0,0    0,1
		0,1    1,1    1,0    0,0
		########################    Note how 1,1 migrate from upper left to lower right
		 5      6      7      8
		---    ---    ---    ---
		1,1    0,1    0,0    1,0
		1,0    1,1    0,1    0,0
		0,0    1,0    1,1    0,1
		0,1    0,0    1,0    1,1
		#ce#####################

		; Number 1
		; Texture coordinates: #6
		glBindTexture( $GL_TEXTURE_2D, $aTextures[0] )
		glBegin( $GL_QUADS )
			glColor3f( 1.0, 1.0, 1.0 )
			glTexCoord2f( 0.0,   1.0 )
			glVertex3f(   0.45, -0.45, -0.5 )
			glTexCoord2f( 1.0,   1.0 )
			glVertex3f(   0.45,  0.45, -0.5 )
			glTexCoord2f( 1.0,   0.0 )
			glVertex3f(  -0.45,  0.45, -0.5 )
			glTexCoord2f( 0.0,   0.0 )
			glVertex3f(  -0.45, -0.45, -0.5 )
		glEnd()

		; Number 2
		; Texture coordinates: #4
		glBindTexture( $GL_TEXTURE_2D, $aTextures[1] )
		glBegin( $GL_QUADS )
			glColor3f( 1.0, 1.0, 1.0 )
			glTexCoord2f( 1.0,   0.0 )
			glVertex3f(   0.45, -0.45, 0.5 )
			glTexCoord2f( 1.0,   1.0 )
			glVertex3f(   0.45,  0.45, 0.5 )
			glTexCoord2f( 0.0,   1.0 )
			glVertex3f(  -0.45,  0.45, 0.5 )
			glTexCoord2f( 0.0,   0.0 )
			glVertex3f(  -0.45, -0.45, 0.5 )
		glEnd()

		; Number 3
		; Texture coordinates: #1
		glBindTexture( $GL_TEXTURE_2D, $aTextures[2] )
		glBegin( $GL_QUADS )
			glColor3f( 1.0, 1.0, 1.0 )
			glTexCoord2f( 0.0,   0.0 )
			glVertex3f( 0.5, -0.45, -0.45 )
			glTexCoord2f( 1.0,   0.0 )
			glVertex3f( 0.5,  0.45, -0.45 )
			glTexCoord2f( 1.0,   1.0 )
			glVertex3f( 0.5,  0.45,  0.45 )
			glTexCoord2f( 0.0,   1.0 )
			glVertex3f( 0.5, -0.45,  0.45 )
		glEnd()

		; Number 4
		; Texture coordinates: #1
		glBindTexture( $GL_TEXTURE_2D, $aTextures[3] )
		glBegin( $GL_QUADS )
			glColor3f( 1.0, 1.0, 1.0 )
			glTexCoord2f( 0.0,   0.0 )
			glVertex3f(  -0.5, -0.45,  0.45 )
			glTexCoord2f( 1.0,   0.0 )
			glVertex3f(  -0.5,  0.45,  0.45 )
			glTexCoord2f( 1.0,   1.0 )
			glVertex3f(  -0.5,  0.45, -0.45 )
			glTexCoord2f( 0.0,   1.0 )
			glVertex3f(  -0.5, -0.45, -0.45 )
		glEnd()

		; Number 5
		; Texture coordinates: #3
		glBindTexture( $GL_TEXTURE_2D, $aTextures[4] )
		glBegin( $GL_QUADS )
			glColor3f( 1.0, 1.0, 1.0 )
			glTexCoord2f( 1.0,   1.0 )
			glVertex3f(   0.45,  0.5,  0.45 )
			glTexCoord2f( 0.0,   1.0 )
			glVertex3f(   0.45,  0.5, -0.45 )
			glTexCoord2f( 0.0,   0.0 )
			glVertex3f(  -0.45,  0.5, -0.45 )
			glTexCoord2f( 1.0,   0.0 )
			glVertex3f(  -0.45,  0.5,  0.45 )
		glEnd()

		; Number 6
		; Texture coordinates: #3
		glBindTexture( $GL_TEXTURE_2D, $aTextures[5] )
		glBegin( $GL_QUADS )
			glColor3f( 1.0, 1.0, 1.0 )
			glTexCoord2f( 1.0,   1.0 )
			glVertex3f(   0.45, -0.5, -0.45 )
			glTexCoord2f( 0.0,   1.0 )
			glVertex3f(   0.45, -0.5,  0.45 )
			glTexCoord2f( 0.0,   0.0 )
			glVertex3f(  -0.45, -0.5,  0.45 )
			glTexCoord2f( 1.0,   0.0 )
			glVertex3f(  -0.45, -0.5, -0.45 )
		glEnd()

	glEndList()

EndFunc
