#include-once

#include <EditConstants.au3>

Global $hStatusbar, $idSectors, $idSphere, $idLabel, $bNewSphere = False

Func CreateStatusbar()

	; Use a child window as a container for controls in the Statusbar
	$hStatusbar = GUICreate( "", $iGuiWidth - 4 , 24, 2, $iHeight + 3 , $WS_CHILD, -1, $hGui )

	; UpDown control
	GUICtrlCreateLabel( "Sphere sectors:", 2, 5, 76, 14 )
	$idSectors = GUICtrlCreateInput( "4", 80, 2, 36, 20 )
	GUICtrlSetStyle( $idSectors, $ES_READONLY )
	GUICtrlSetBkColor( $idSectors, 0xFFFFFF )
	GUICtrlCreateUpdown( $idSectors )
	GUICtrlSetLimit( -1, 6, 2 )
	GUICtrlCreateLabel( "x 15", 120, 5, 20, 14 )
	GUICtrlSetOnEvent( $idSectors, "Sectors" )

	; Sphere button
	$idSphere = GUICtrlCreateButton( "Sphere", 155, 2, 55, 20 )
	GUICtrlSetState( $idSphere, $GUI_DISABLE )
	GUICtrlSetOnEvent( $idSphere, "NewSphere" )

	; Vertical splitterbar
	GUICtrlCreateLabel( "", 230, 2, 3, 20, $SS_ETCHEDFRAME )

	; Label in statusbar
	$idLabel = GUICtrlCreateLabel( "", 252, 5, 280, 14 )

	GUISetState( @SW_SHOW, $hStatusbar )
	GUISwitch( $hGui )

	; Label for $hStatusbar to make it look nicer
	GUICtrlCreateLabel( "", 0, $iHeight + 1, $iGuiWidth + 4, $iStatusBarHeight, $SS_ETCHEDFRAME )
	GUICtrlSetResizing( -1, $GUI_DOCKSTATEBAR )

EndFunc

Func Sectors()
	If $nSectors = GUICtrlRead( $idSectors ) * 15 Then
		GUICtrlSetState( $idSphere, $GUI_DISABLE )
	Else
		GUICtrlSetState( $idSphere, $GUI_ENABLE )
	EndIf
EndFunc

Func NewSphere()
	$bNewSphere = True
	GUICtrlSetState( $idSphere, $GUI_DISABLE )
EndFunc

Func WM_SIZING( $hWnd, $iMsg, $iwParam, $ilParam )
	#forceref $iMsg, $iwParam
	Switch $hWnd
		Case $hGui
			Local $tRECT = DllStructCreate( $tagRECT, $ilParam )
			Local $y = DllStructGetData( $tRECT, "Top" )
			Local $iHeight = DllStructGetData( $tRECT, "Bottom" ) - $y - $iTitleBarHeight - $iBorderWidth - $iStatusBarHeight
			WinMove( $hStatusbar, "", 2, $iHeight + $iHeightXP )
	EndSwitch
	Return $GUI_RUNDEFMSG
EndFunc

Func GUI_EVENT_RESIZE()
	Local $aPos = WinGetPos( $hGui )
	$iWidth = $aPos[2] - 2 * $iBorderWidth
	$iHeight = $aPos[3] - $iTitleBarHeight - $iBorderWidth - $iStatusBarHeight
	WinMove( $hOpenGL, "", 0, 0, $iWidth, $iHeight )
	WinMove( $hStatusbar, "", 2, $iHeight + $iHeightXP )
	$bResize = True
EndFunc
