#include-once

#include <Misc.au3>

Func HandleKeystrokes()

	Local Static $bKey = 0, $nKey = 0
	Local Static $nStrokes = 0

	If Not $bFocus Then Return

	Select
		Case _IsPressed( "57", $dllUser32 ) ; W
			$bKey = 1
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "53", $dllUser32 ) ; S
			$bKey = 2
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "41", $dllUser32 ) ; A
			$bKey = 3
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "44", $dllUser32 ) ; D
			$bKey = 4
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "51", $dllUser32 ) ; Q
			$bKey = 5
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "45", $dllUser32 ) ; E
			$bKey = 6
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "49", $dllUser32 ) ; I
			$bKey = 7
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "4B", $dllUser32 ) ; K
			$bKey = 8
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "4A", $dllUser32 ) ; J
			$bKey = 9
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "4C", $dllUser32 ) ; L
			$bKey = 10
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "4F", $dllUser32 ) ; O
			$bKey = 11
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "55", $dllUser32 ) ; U
			$bKey = 12
			if Not $nKey Then $nKey = 1
		Case _IsPressed( "48", $dllUser32 ) ; H
			$bKey = 13
			if Not $nKey Then $nKey = 1
		Case Else
			$nKey = 0
			Return
	EndSelect

	If $nKey = 1 Or $nKey = 3 Then
		Switch $bKey
			Case 1   ; W
				$vCamTarget[2] -= $fSmallAngelIncrement
			Case 2   ; S
				$vCamTarget[2] += $fSmallAngelIncrement
			Case 3   ; A
				$vCamTarget[0] -= $fSmallAngelIncrement
			Case 4   ; D
				$vCamTarget[0] += $fSmallAngelIncrement
			Case 5   ; Q
				$vCamTarget[1] += $fSmallAngelIncrement
			Case 6   ; E
				If $vCamTarget[1] >= $fSmallAngelIncrement Then _
					$vCamTarget[1] -= $fSmallAngelIncrement
			Case 7   ; I
				$vSphereCamRelPos[1] -= $fSmallAngelIncrement
				$vSphereCamRelPos[1] = Clamp( $vSphereCamRelPos[1], -78.50, -1.0 )
			Case 8   ; K
				$vSphereCamRelPos[1] += $fSmallAngelIncrement
				$vSphereCamRelPos[1] = Clamp( $vSphereCamRelPos[1], -78.50, -1.0 )
			Case 9   ; J
				$vSphereCamRelPos[0] -= $fSmallAngelIncrement
			Case 10  ; L
				$vSphereCamRelPos[0] += $fSmallAngelIncrement
			Case 11  ; O
				If $vSphereCamRelPos[2] >= 5 + $fSmallAngelIncrement Then _
					$vSphereCamRelPos[2] -= $fSmallAngelIncrement
			Case 12  ; U
				$vSphereCamRelPos[2] += $fSmallAngelIncrement
			Case 13  ; H
				$vCamTarget[0] = 0.0
				$vCamTarget[1] = 0.4
				$vCamTarget[2] = 0.0
				$vSphereCamRelPos[0] = 67.5
				$vSphereCamRelPos[1] = -46.0
				$vSphereCamRelPos[2] = 150.0
		EndSwitch
		$bKey = 0
	EndIf

	Switch $nKey
		Case 1
			; First keypress
			$nKey = 2
			$nStrokes = 0
		Case 2
			; Wait a few loops for next keypress
			; To get time to release the key for a single keypress
			$nStrokes += 1
			If $nStrokes > 3 Then _
				$nKey = 3
	EndSwitch

EndFunc
