#include <Array.au3>
#include <File.au3>

Opt( "GUIOnEventMode", 1 )
Opt( "MustDeclareVars", 1 )

Global $hGui, $aFunctions[1], $iFunctions = 0

Global $hDC
#include "utilities\includes.au3"

MainFunc()
ExitFunc()

Func MainFunc()

	$hGui = GUICreate( ScriptName(), 400, 300, 400, 100 )

	GetFunctions( "..\oglIncludes\oglFunctions.au3" )

	ReDim $aFunctions[$iFunctions+1]
	$aFunctions[$iFunctions] = "------------------------------ Extensions ------------------------------"
	$iFunctions += 1

	GetFunctions( "..\oglIncludes\extFunctions.au3" )

	_ArrayDisplay( $aFunctions, ScriptName() )

EndFunc

Func GetFunctions( $sFile )

	Local $aLines, $line

	_FileReadToArray( $sFile, $aLines )

	ReDim $aFunctions[$iFunctions+$aLines[0]+1]

	For $i = 25 To $aLines[0]
		$line = $aLines[$i]
		If StringLeft( $line, 3 ) = "; -" Then
			$aFunctions[$iFunctions] = StringRight( $line, StringLen( $line ) - 2 )
			$iFunctions += 1
		ElseIf StringLeft( $line, 7 ) = "Func gl" Then
			$aFunctions[$iFunctions] = StringRight( $line, StringLen( $line ) - 5 )
			$iFunctions += 1
		EndIf
	Next

	ReDim $aFunctions[$iFunctions]

EndFunc

Func ExitFunc()
	GUIDelete( $hGui )
	Exit
EndFunc
