; Windows Extension constants to OpenGL (WGL)

#include-once

Global Const $WGL_FONT_LINES    = 0
Global Const $WGL_FONT_POLYGONS = 1

; -------------------------- WGL_3DFX_multisample -------------------------

Global Const $WGL_SAMPLE_BUFFERS_3DFX = 0x2060
Global Const $WGL_SAMPLES_3DFX = 0x2061

; ------------------------- WGL_3DL_stereo_control ------------------------

Global Const $WGL_STEREO_EMITTER_ENABLE_3DL = 0x2055
Global Const $WGL_STEREO_EMITTER_DISABLE_3DL = 0x2056
Global Const $WGL_STEREO_POLARITY_NORMAL_3DL = 0x2057
Global Const $WGL_STEREO_POLARITY_INVERT_3DL = 0x2058

; ------------------------ WGL_AMD_gpu_association ------------------------

Global Const $WGL_GPU_VENDOR_AMD = 0x1F00
Global Const $WGL_GPU_RENDERER_STRING_AMD = 0x1F01
Global Const $WGL_GPU_OPENGL_VERSION_STRING_AMD = 0x1F02
Global Const $WGL_GPU_FASTEST_TARGET_GPUS_AMD = 0x21A2
Global Const $WGL_GPU_RAM_AMD = 0x21A3
Global Const $WGL_GPU_CLOCK_AMD = 0x21A4
Global Const $WGL_GPU_NUM_PIPES_AMD = 0x21A5
Global Const $WGL_GPU_NUM_SIMD_AMD = 0x21A6
Global Const $WGL_GPU_NUM_RB_AMD = 0x21A7
Global Const $WGL_GPU_NUM_SPI_AMD = 0x21A8

; ------------------------- WGL_ARB_buffer_region -------------------------

Global Const $WGL_FRONT_COLOR_BUFFER_BIT_ARB = 0x00000001
Global Const $WGL_BACK_COLOR_BUFFER_BIT_ARB = 0x00000002
Global Const $WGL_DEPTH_BUFFER_BIT_ARB = 0x00000004
Global Const $WGL_STENCIL_BUFFER_BIT_ARB = 0x00000008

; ------------------------- WGL_ARB_create_context ------------------------

Global Const $WGL_CONTEXT_DEBUG_BIT_ARB = 0x0001
Global Const $WGL_CONTEXT_FORWARD_COMPATIBLE_BIT_ARB = 0x0002
Global Const $WGL_CONTEXT_MAJOR_VERSION_ARB = 0x2091
Global Const $WGL_CONTEXT_MINOR_VERSION_ARB = 0x2092
Global Const $WGL_CONTEXT_LAYER_PLANE_ARB = 0x2093
Global Const $WGL_CONTEXT_FLAGS_ARB = 0x2094
Global Const $ERROR_INVALID_VERSION_ARB = 0x2095
Global Const $ERROR_INVALID_PROFILE_ARB = 0x2096

; --------------------- WGL_ARB_create_context_profile --------------------

Global Const $WGL_CONTEXT_CORE_PROFILE_BIT_ARB = 0x00000001
Global Const $WGL_CONTEXT_COMPATIBILITY_PROFILE_BIT_ARB = 0x00000002
Global Const $WGL_CONTEXT_PROFILE_MASK_ARB = 0x9126

; ------------------- WGL_ARB_create_context_robustness -------------------

Global Const $WGL_CONTEXT_ROBUST_ACCESS_BIT_ARB = 0x00000004
Global Const $WGL_LOSE_CONTEXT_ON_RESET_ARB = 0x8252
Global Const $WGL_CONTEXT_RESET_NOTIFICATION_STRATEGY_ARB = 0x8256
Global Const $WGL_NO_RESET_NOTIFICATION_ARB = 0x8261

; ----------------------- WGL_ARB_extensions_string -----------------------

; ------------------------ WGL_ARB_framebuffer_sRGB -----------------------

Global Const $WGL_FRAMEBUFFER_SRGB_CAPABLE_ARB = 0x20A9

; ----------------------- WGL_ARB_make_current_read -----------------------

Global Const $ERROR_INVALID_PIXEL_TYPE_ARB = 0x2043
Global Const $ERROR_INCOMPATIBLE_DEVICE_CONTEXTS_ARB = 0x2054

; -------------------------- WGL_ARB_multisample --------------------------

Global Const $WGL_SAMPLE_BUFFERS_ARB = 0x2041
Global Const $WGL_SAMPLES_ARB = 0x2042

; ---------------------------- WGL_ARB_pbuffer ----------------------------

Global Const $WGL_DRAW_TO_PBUFFER_ARB = 0x202D
Global Const $WGL_MAX_PBUFFER_PIXELS_ARB = 0x202E
Global Const $WGL_MAX_PBUFFER_WIDTH_ARB = 0x202F
Global Const $WGL_MAX_PBUFFER_HEIGHT_ARB = 0x2030
Global Const $WGL_PBUFFER_LARGEST_ARB = 0x2033
Global Const $WGL_PBUFFER_WIDTH_ARB = 0x2034
Global Const $WGL_PBUFFER_HEIGHT_ARB = 0x2035
Global Const $WGL_PBUFFER_LOST_ARB = 0x2036

; -------------------------- WGL_ARB_pixel_format -------------------------

Global Const $WGL_NUMBER_PIXEL_FORMATS_ARB = 0x2000
Global Const $WGL_DRAW_TO_WINDOW_ARB = 0x2001
Global Const $WGL_DRAW_TO_BITMAP_ARB = 0x2002
Global Const $WGL_ACCELERATION_ARB = 0x2003
Global Const $WGL_NEED_PALETTE_ARB = 0x2004
Global Const $WGL_NEED_SYSTEM_PALETTE_ARB = 0x2005
Global Const $WGL_SWAP_LAYER_BUFFERS_ARB = 0x2006
Global Const $WGL_SWAP_METHOD_ARB = 0x2007
Global Const $WGL_NUMBER_OVERLAYS_ARB = 0x2008
Global Const $WGL_NUMBER_UNDERLAYS_ARB = 0x2009
Global Const $WGL_TRANSPARENT_ARB = 0x200A
Global Const $WGL_SHARE_DEPTH_ARB = 0x200C
Global Const $WGL_SHARE_STENCIL_ARB = 0x200D
Global Const $WGL_SHARE_ACCUM_ARB = 0x200E
Global Const $WGL_SUPPORT_GDI_ARB = 0x200F
Global Const $WGL_SUPPORT_OPENGL_ARB = 0x2010
Global Const $WGL_DOUBLE_BUFFER_ARB = 0x2011
Global Const $WGL_STEREO_ARB = 0x2012
Global Const $WGL_PIXEL_TYPE_ARB = 0x2013
Global Const $WGL_COLOR_BITS_ARB = 0x2014
Global Const $WGL_RED_BITS_ARB = 0x2015
Global Const $WGL_RED_SHIFT_ARB = 0x2016
Global Const $WGL_GREEN_BITS_ARB = 0x2017
Global Const $WGL_GREEN_SHIFT_ARB = 0x2018
Global Const $WGL_BLUE_BITS_ARB = 0x2019
Global Const $WGL_BLUE_SHIFT_ARB = 0x201A
Global Const $WGL_ALPHA_BITS_ARB = 0x201B
Global Const $WGL_ALPHA_SHIFT_ARB = 0x201C
Global Const $WGL_ACCUM_BITS_ARB = 0x201D
Global Const $WGL_ACCUM_RED_BITS_ARB = 0x201E
Global Const $WGL_ACCUM_GREEN_BITS_ARB = 0x201F
Global Const $WGL_ACCUM_BLUE_BITS_ARB = 0x2020
Global Const $WGL_ACCUM_ALPHA_BITS_ARB = 0x2021
Global Const $WGL_DEPTH_BITS_ARB = 0x2022
Global Const $WGL_STENCIL_BITS_ARB = 0x2023
Global Const $WGL_AUX_BUFFERS_ARB = 0x2024
Global Const $WGL_NO_ACCELERATION_ARB = 0x2025
Global Const $WGL_GENERIC_ACCELERATION_ARB = 0x2026
Global Const $WGL_FULL_ACCELERATION_ARB = 0x2027
Global Const $WGL_SWAP_EXCHANGE_ARB = 0x2028
Global Const $WGL_SWAP_COPY_ARB = 0x2029
Global Const $WGL_SWAP_UNDEFINED_ARB = 0x202A
Global Const $WGL_TYPE_RGBA_ARB = 0x202B
Global Const $WGL_TYPE_COLORINDEX_ARB = 0x202C
Global Const $WGL_TRANSPARENT_RED_VALUE_ARB = 0x2037
Global Const $WGL_TRANSPARENT_GREEN_VALUE_ARB = 0x2038
Global Const $WGL_TRANSPARENT_BLUE_VALUE_ARB = 0x2039
Global Const $WGL_TRANSPARENT_ALPHA_VALUE_ARB = 0x203A
Global Const $WGL_TRANSPARENT_INDEX_VALUE_ARB = 0x203B

; ----------------------- WGL_ARB_pixel_format_float ----------------------

Global Const $WGL_TYPE_RGBA_FLOAT_ARB = 0x21A0

; ------------------------- WGL_ARB_render_texture ------------------------

Global Const $WGL_BIND_TO_TEXTURE_RGB_ARB = 0x2070
Global Const $WGL_BIND_TO_TEXTURE_RGBA_ARB = 0x2071
Global Const $WGL_TEXTURE_FORMAT_ARB = 0x2072
Global Const $WGL_TEXTURE_TARGET_ARB = 0x2073
Global Const $WGL_MIPMAP_TEXTURE_ARB = 0x2074
Global Const $WGL_TEXTURE_RGB_ARB = 0x2075
Global Const $WGL_TEXTURE_RGBA_ARB = 0x2076
Global Const $WGL_NO_TEXTURE_ARB = 0x2077
Global Const $WGL_TEXTURE_CUBE_MAP_ARB = 0x2078
Global Const $WGL_TEXTURE_1D_ARB = 0x2079
Global Const $WGL_TEXTURE_2D_ARB = 0x207A
Global Const $WGL_MIPMAP_LEVEL_ARB = 0x207B
Global Const $WGL_CUBE_MAP_FACE_ARB = 0x207C
Global Const $WGL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB = 0x207D
Global Const $WGL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB = 0x207E
Global Const $WGL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB = 0x207F
Global Const $WGL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB = 0x2080
Global Const $WGL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB = 0x2081
Global Const $WGL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB = 0x2082
Global Const $WGL_FRONT_LEFT_ARB = 0x2083
Global Const $WGL_FRONT_RIGHT_ARB = 0x2084
Global Const $WGL_BACK_LEFT_ARB = 0x2085
Global Const $WGL_BACK_RIGHT_ARB = 0x2086
Global Const $WGL_AUX0_ARB = 0x2087
Global Const $WGL_AUX1_ARB = 0x2088
Global Const $WGL_AUX2_ARB = 0x2089
Global Const $WGL_AUX3_ARB = 0x208A
Global Const $WGL_AUX4_ARB = 0x208B
Global Const $WGL_AUX5_ARB = 0x208C
Global Const $WGL_AUX6_ARB = 0x208D
Global Const $WGL_AUX7_ARB = 0x208E
Global Const $WGL_AUX8_ARB = 0x208F
Global Const $WGL_AUX9_ARB = 0x2090

; ----------------------- WGL_ATI_pixel_format_float ----------------------

Global Const $WGL_TYPE_RGBA_FLOAT_ATI = 0x21A0
Global Const $GL_RGBA_FLOAT_MODE_ATI = 0x8820
Global Const $GL_COLOR_CLEAR_UNCLAMPED_VALUE_ATI = 0x8835

; -------------------- WGL_ATI_render_texture_rectangle -------------------

Global Const $WGL_TEXTURE_RECTANGLE_ATI = 0x21A5

; ------------------- WGL_EXT_create_context_es2_profile ------------------

Global Const $WGL_CONTEXT_ES2_PROFILE_BIT_EXT = 0x00000004

; -------------------------- WGL_EXT_depth_float --------------------------

Global Const $WGL_DEPTH_FLOAT_EXT = 0x2040

; ---------------------- WGL_EXT_display_color_table ----------------------

; ----------------------- WGL_EXT_extensions_string -----------------------

; ------------------------ WGL_EXT_framebuffer_sRGB -----------------------

Global Const $WGL_FRAMEBUFFER_SRGB_CAPABLE_EXT = 0x20A9

; ----------------------- WGL_EXT_make_current_read -----------------------

Global Const $ERROR_INVALID_PIXEL_TYPE_EXT = 0x2043

; -------------------------- WGL_EXT_multisample --------------------------

Global Const $WGL_SAMPLE_BUFFERS_EXT = 0x2041
Global Const $WGL_SAMPLES_EXT = 0x2042

; ---------------------------- WGL_EXT_pbuffer ----------------------------

Global Const $WGL_DRAW_TO_PBUFFER_EXT = 0x202D
Global Const $WGL_MAX_PBUFFER_PIXELS_EXT = 0x202E
Global Const $WGL_MAX_PBUFFER_WIDTH_EXT = 0x202F
Global Const $WGL_MAX_PBUFFER_HEIGHT_EXT = 0x2030
Global Const $WGL_OPTIMAL_PBUFFER_WIDTH_EXT = 0x2031
Global Const $WGL_OPTIMAL_PBUFFER_HEIGHT_EXT = 0x2032
Global Const $WGL_PBUFFER_LARGEST_EXT = 0x2033
Global Const $WGL_PBUFFER_WIDTH_EXT = 0x2034
Global Const $WGL_PBUFFER_HEIGHT_EXT = 0x2035

; -------------------------- WGL_EXT_pixel_format -------------------------

Global Const $WGL_NUMBER_PIXEL_FORMATS_EXT = 0x2000
Global Const $WGL_DRAW_TO_WINDOW_EXT = 0x2001
Global Const $WGL_DRAW_TO_BITMAP_EXT = 0x2002
Global Const $WGL_ACCELERATION_EXT = 0x2003
Global Const $WGL_NEED_PALETTE_EXT = 0x2004
Global Const $WGL_NEED_SYSTEM_PALETTE_EXT = 0x2005
Global Const $WGL_SWAP_LAYER_BUFFERS_EXT = 0x2006
Global Const $WGL_SWAP_METHOD_EXT = 0x2007
Global Const $WGL_NUMBER_OVERLAYS_EXT = 0x2008
Global Const $WGL_NUMBER_UNDERLAYS_EXT = 0x2009
Global Const $WGL_TRANSPARENT_EXT = 0x200A
Global Const $WGL_TRANSPARENT_VALUE_EXT = 0x200B
Global Const $WGL_SHARE_DEPTH_EXT = 0x200C
Global Const $WGL_SHARE_STENCIL_EXT = 0x200D
Global Const $WGL_SHARE_ACCUM_EXT = 0x200E
Global Const $WGL_SUPPORT_GDI_EXT = 0x200F
Global Const $WGL_SUPPORT_OPENGL_EXT = 0x2010
Global Const $WGL_DOUBLE_BUFFER_EXT = 0x2011
Global Const $WGL_STEREO_EXT = 0x2012
Global Const $WGL_PIXEL_TYPE_EXT = 0x2013
Global Const $WGL_COLOR_BITS_EXT = 0x2014
Global Const $WGL_RED_BITS_EXT = 0x2015
Global Const $WGL_RED_SHIFT_EXT = 0x2016
Global Const $WGL_GREEN_BITS_EXT = 0x2017
Global Const $WGL_GREEN_SHIFT_EXT = 0x2018
Global Const $WGL_BLUE_BITS_EXT = 0x2019
Global Const $WGL_BLUE_SHIFT_EXT = 0x201A
Global Const $WGL_ALPHA_BITS_EXT = 0x201B
Global Const $WGL_ALPHA_SHIFT_EXT = 0x201C
Global Const $WGL_ACCUM_BITS_EXT = 0x201D
Global Const $WGL_ACCUM_RED_BITS_EXT = 0x201E
Global Const $WGL_ACCUM_GREEN_BITS_EXT = 0x201F
Global Const $WGL_ACCUM_BLUE_BITS_EXT = 0x2020
Global Const $WGL_ACCUM_ALPHA_BITS_EXT = 0x2021
Global Const $WGL_DEPTH_BITS_EXT = 0x2022
Global Const $WGL_STENCIL_BITS_EXT = 0x2023
Global Const $WGL_AUX_BUFFERS_EXT = 0x2024
Global Const $WGL_NO_ACCELERATION_EXT = 0x2025
Global Const $WGL_GENERIC_ACCELERATION_EXT = 0x2026
Global Const $WGL_FULL_ACCELERATION_EXT = 0x2027
Global Const $WGL_SWAP_EXCHANGE_EXT = 0x2028
Global Const $WGL_SWAP_COPY_EXT = 0x2029
Global Const $WGL_SWAP_UNDEFINED_EXT = 0x202A
Global Const $WGL_TYPE_RGBA_EXT = 0x202B
Global Const $WGL_TYPE_COLORINDEX_EXT = 0x202C

; ------------------- WGL_EXT_pixel_format_packed_float -------------------

Global Const $WGL_TYPE_RGBA_UNSIGNED_FLOAT_EXT = 0x20A8

; -------------------------- WGL_EXT_swap_control -------------------------

; --------------------- WGL_I3D_digital_video_control ---------------------

Global Const $WGL_DIGITAL_VIDEO_CURSOR_ALPHA_FRAMEBUFFER_I3D = 0x2050
Global Const $WGL_DIGITAL_VIDEO_CURSOR_ALPHA_VALUE_I3D = 0x2051
Global Const $WGL_DIGITAL_VIDEO_CURSOR_INCLUDED_I3D = 0x2052
Global Const $WGL_DIGITAL_VIDEO_GAMMA_CORRECTED_I3D = 0x2053

; ----------------------------- WGL_I3D_gamma -----------------------------

Global Const $WGL_GAMMA_TABLE_SIZE_I3D = 0x204E
Global Const $WGL_GAMMA_EXCLUDE_DESKTOP_I3D = 0x204F

; ---------------------------- WGL_I3D_genlock ----------------------------

Global Const $WGL_GENLOCK_SOURCE_MULTIVIEW_I3D = 0x2044
Global Const $WGL_GENLOCK_SOURCE_EXTERNAL_SYNC_I3D = 0x2045
Global Const $WGL_GENLOCK_SOURCE_EXTERNAL_FIELD_I3D = 0x2046
Global Const $WGL_GENLOCK_SOURCE_EXTERNAL_TTL_I3D = 0x2047
Global Const $WGL_GENLOCK_SOURCE_DIGITAL_SYNC_I3D = 0x2048
Global Const $WGL_GENLOCK_SOURCE_DIGITAL_FIELD_I3D = 0x2049
Global Const $WGL_GENLOCK_SOURCE_EDGE_FALLING_I3D = 0x204A
Global Const $WGL_GENLOCK_SOURCE_EDGE_RISING_I3D = 0x204B
Global Const $WGL_GENLOCK_SOURCE_EDGE_BOTH_I3D = 0x204C

; -------------------------- WGL_I3D_image_buffer -------------------------

Global Const $WGL_IMAGE_BUFFER_MIN_ACCESS_I3D = 0x00000001
Global Const $WGL_IMAGE_BUFFER_LOCK_I3D = 0x00000002

; ------------------------ WGL_I3D_swap_frame_lock ------------------------

; ------------------------ WGL_I3D_swap_frame_usage -----------------------

; --------------------------- WGL_NV_DX_interop ---------------------------

Global Const $WGL_ACCESS_READ_ONLY_NV = 0x0000
Global Const $WGL_ACCESS_READ_WRITE_NV = 0x0001
Global Const $WGL_ACCESS_WRITE_DISCARD_NV = 0x0002

; --------------------------- WGL_NV_copy_image ---------------------------

; -------------------------- WGL_NV_float_buffer --------------------------

Global Const $WGL_FLOAT_COMPONENTS_NV = 0x20B0
Global Const $WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_R_NV = 0x20B1
Global Const $WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RG_NV = 0x20B2
Global Const $WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RGB_NV = 0x20B3
Global Const $WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RGBA_NV = 0x20B4
Global Const $WGL_TEXTURE_FLOAT_R_NV = 0x20B5
Global Const $WGL_TEXTURE_FLOAT_RG_NV = 0x20B6
Global Const $WGL_TEXTURE_FLOAT_RGB_NV = 0x20B7
Global Const $WGL_TEXTURE_FLOAT_RGBA_NV = 0x20B8

; -------------------------- WGL_NV_gpu_affinity --------------------------

Global Const $WGL_ERROR_INCOMPATIBLE_AFFINITY_MASKS_NV = 0x20D0
Global Const $WGL_ERROR_MISSING_AFFINITY_MASK_NV = 0x20D1

; ---------------------- WGL_NV_multisample_coverage ----------------------

Global Const $WGL_COVERAGE_SAMPLES_NV = 0x2042
Global Const $WGL_COLOR_SAMPLES_NV = 0x20B9

; -------------------------- WGL_NV_present_video -------------------------

Global Const $WGL_NUM_VIDEO_SLOTS_NV = 0x20F0

; ---------------------- WGL_NV_render_depth_texture ----------------------

;Global Const $WGL_NO_TEXTURE_ARB = 0x2077
Global Const $WGL_BIND_TO_TEXTURE_DEPTH_NV = 0x20A3
Global Const $WGL_BIND_TO_TEXTURE_RECTANGLE_DEPTH_NV = 0x20A4
Global Const $WGL_DEPTH_TEXTURE_FORMAT_NV = 0x20A5
Global Const $WGL_TEXTURE_DEPTH_COMPONENT_NV = 0x20A6
Global Const $WGL_DEPTH_COMPONENT_NV = 0x20A7

; -------------------- WGL_NV_render_texture_rectangle --------------------

Global Const $WGL_BIND_TO_TEXTURE_RECTANGLE_RGB_NV = 0x20A0
Global Const $WGL_BIND_TO_TEXTURE_RECTANGLE_RGBA_NV = 0x20A1
Global Const $WGL_TEXTURE_RECTANGLE_NV = 0x20A2

; --------------------------- WGL_NV_swap_group ---------------------------

; ----------------------- WGL_NV_vertex_array_range -----------------------

; -------------------------- WGL_NV_video_capture -------------------------

Global Const $WGL_UNIQUE_ID_NV = 0x20CE
Global Const $WGL_NUM_VIDEO_CAPTURE_SLOTS_NV = 0x20CF

; -------------------------- WGL_NV_video_output --------------------------

Global Const $WGL_BIND_TO_VIDEO_RGB_NV = 0x20C0
Global Const $WGL_BIND_TO_VIDEO_RGBA_NV = 0x20C1
Global Const $WGL_BIND_TO_VIDEO_RGB_AND_DEPTH_NV = 0x20C2
Global Const $WGL_VIDEO_OUT_COLOR_NV = 0x20C3
Global Const $WGL_VIDEO_OUT_ALPHA_NV = 0x20C4
Global Const $WGL_VIDEO_OUT_DEPTH_NV = 0x20C5
Global Const $WGL_VIDEO_OUT_COLOR_AND_ALPHA_NV = 0x20C6
Global Const $WGL_VIDEO_OUT_COLOR_AND_DEPTH_NV = 0x20C7
Global Const $WGL_VIDEO_OUT_FRAME = 0x20C8
Global Const $WGL_VIDEO_OUT_FIELD_1 = 0x20C9
Global Const $WGL_VIDEO_OUT_FIELD_2 = 0x20CA
Global Const $WGL_VIDEO_OUT_STACKED_FIELDS_1_2 = 0x20CB
Global Const $WGL_VIDEO_OUT_STACKED_FIELDS_2_1 = 0x20CC

; -------------------------- WGL_OML_sync_control -------------------------

; -------------------------------------------------------------------------
