; Math functions

#include-once

; pi
Global Const $PI = 3.14159265358979323846

Func Clamp( $fValue, $fMinValue, $fMaxValue )
	If $fValue < $fMinValue Then
		Return $fMinValue
	ElseIf $fValue > $fMaxValue Then
		Return $fMaxValue
	Else
		Return $fValue
	EndIf
EndFunc

Func Cotangent( $angle )
	Return 1 / Tan( $angle )
EndFunc

Func Degrees( $radians )
	Return $radians * 180 / $PI
EndFunc

Func Hypot( $x, $y )
	Return Sqrt( $x*$x + $y*$y )
EndFunc

Func Log10( $x )
	Return Log( $x ) / Log( 10 )
EndFunc

Func Max( $x, $y )
	If $x > $y Then
		Return $x
	Else
		Return $y
	EndiF
EndFunc

Func Min( $x, $y )
	If $x < $y Then
		Return $x
	Else
		Return $y
	EndiF
EndFunc

Func Mix( $x, $y, $a )
	Return $x + $a * ( $y - $x )
	;Return $x * ( 1 - $a ) + $y * $a
EndFunc

Func Radians( $degrees )
	Return $degrees * $PI / 180
EndFunc

Func Roundf( $float )
	If $float > 0.0 Then
		Return Floor( $float + 0.5 )
	Else
		Return Ceiling( $float - 0.5 )
	EndIf
EndFunc
