#include <WindowsConstants.au3>
#include "..\..\..\Includes\Utilities.au3"

If OpenGLVersion21OrHigher() Then
	ShellExecute( "Model Viewer (OBJ) 2.1.au3" )
Else
	ShellExecute( "Model Viewer (OBJ) 1.1.au3" )
EndIf

Func OpenGLVersion21OrHigher()
	; Create fake context to check OpenGL version
	Local $hGUIfake, $hOpenGLfake, $hDCfake, $hRCfake, $aVer
	$hGUIfake = GUICreate( "Fake context" )
	$hOpenGLfake = GUICreate( "", 80, 60, 0, 0, $WS_CHILD, -1, $hGUIfake )
	If GetOpenGLContext( $hOpenGLfake, $hDCfake, $hRCfake ) Then
		$aVer = GetOpenGLversion()
		Select
			Case $aVer[0] > 2
				Return 1
			Case $aVer[0] = 2 And $aVer[1] >= 1
				Return 1
			Case Else
				Return 0
		EndSelect
	Else
		Exit
	EndIf
EndFunc
