; This is a modified version of a sparkler by trancexx
; http://www.autoitscript.com/forum/index.php?showtopic=83581

#include <WindowsConstants.au3>
#include <StaticConstants.au3>
#include <GUIConstantsEx.au3>

; AutoIt options
Opt( "GUIOnEventMode", 1 )
Opt( "MustDeclareVars", 1 )

; --- GUI globals ---

Global $hStars = 0, $iStarsXpos = 0

; --- Project includes ---

#include "utilities\globals.au3"
#include "utilities\includes.au3"
#include "utilities\utilities.au3"
#include "utilities\statusbar.au3"

; --- Program code ---

MainFunc()

While 1
	If $iSparklers <> $newSparklers Then
		$iSparklers = $newSparklers
		CreateSparklers()
	EndIf
	If $bResize Then
		glViewport( 0, 0, $iWidth, $iHeight )
		$bResize = False
	EndIf
	DisplayFunction()
	Sleep(10)
WEnd


Func MainFunc()
	If Not InitGUIwindow() Then GUI_EVENT_CLOSE()
	If Not InitOpenGLwindow() Then GUI_EVENT_CLOSE()
	If Not CreateResources() Then GUI_EVENT_CLOSE()
EndFunc


Func DisplayFunction()

	glClear( $GL_COLOR_BUFFER_BIT + $GL_DEPTH_BUFFER_BIT )

	Local $m
	For $i = 0 To $iSparklers - 1

		$m = $aSparklers[$i][0]

		; Show sparkler
		Sparkler( $m, _
			$aSparklers[$i][1], _ ; $x
			$aSparklers[$i][2], _ ; $y
			$aSparklers[$i][3], _ ; $dx
			$aSparklers[$i][4], _ ; $dy
			$aSparklers[$i][5] )  ; $pColor

		; If a sparkler has burned out create a new
		If $m = 0 Then NewSparkler( $i )

	Next

	SwapBuffers( $hDC )

	; Increace $m
	For $i = 0 To $iSparklers - 1
		$aSparklers[$i][0] += 0.0003
	Next

EndFunc


Func StarsControls( $hWnd, $xPos, $yPos, $bDisableCheckbox = False, $iniStars = 0, $iniSpeed = 0 )
EndFunc


Func CreateStars()
EndFunc
