#include-once

Global $hStatusbar = 0
Global $idThreadCount, $idThreadLength, $idThreadWidth, $idColorRed, $idColorGreen, $idColorBlue, $idThreads
Global $newThreadCount = $iThreadCount, $newThreadLength = $iThreadLength, $newThreadWidth = $fThreadWidth, $newThreadColor = $iThreadColor, $bThreads = False

Global $iStarsXpos = 0
Global $hStars = 0

Func CreateStatusbar()

	; Use a child window as a container for controls in the Statusbar
	$hStatusbar = GUICreate( "", $iGuiWidth - 4 , 24, 2, $iHeight + 3 , $WS_CHILD, -1, $hGui )

	; Number of threads
	GUICtrlCreateLabel( "Threads:", 2, 5, 45, 14 )
	$idThreadCount = GUICtrlCreateInput( "15", 50, 2, 36, 20 )
	GUICtrlSetStyle( $idThreadCount, $ES_READONLY )
	GUICtrlSetBkColor( $idThreadCount, 0xFFFFFF )
	GUICtrlCreateUpdown( $idThreadCount )
	GUICtrlSetLimit( -1, 20, 10 )
	GUICtrlSetOnEvent( $idThreadCount, "Counts" )

	; Length of threads
	GUICtrlCreateLabel( "Length:", 100, 5, 40, 14 )
	$idThreadLength = GUICtrlCreateInput( "20", 141, 2, 36, 20 )
	GUICtrlSetStyle( $idThreadLength, $ES_READONLY )
	GUICtrlSetBkColor( $idThreadLength, 0xFFFFFF )
	GUICtrlCreateUpdown( $idThreadLength )
	GUICtrlSetLimit( -1, 25, 15 )
	GUICtrlSetOnEvent( $idThreadLength, "Lengths" )

	; Width of threads
	GUICtrlCreateLabel( "Width:", 192, 5, 35, 14 )
	$idThreadWidth = GUICtrlCreateInput( "2", 228, 2, 36, 20 )
	GUICtrlSetStyle( $idThreadWidth, $ES_READONLY )
	GUICtrlSetBkColor( $idThreadWidth, 0xFFFFFF )
	GUICtrlCreateUpdown( $idThreadWidth )
	GUICtrlSetLimit( -1, 3, 1 )
	GUICtrlSetOnEvent( $idThreadWidth, "Widths" )

	; Vertical splitterbar
	GUICtrlCreateLabel( "", 278, 2, 3, 20, $SS_ETCHEDFRAME )

	; Color of threads
	$idColorRed = GUICtrlCreateRadio( "Red", 292, 3, 50, 18 )
	$idColorGreen = GUICtrlCreateRadio( "Green", 344, 3, 50, 18 )
	$idColorBlue = GUICtrlCreateRadio( "Blue", 402, 3, 50, 18 )
	GUICtrlSetState( $idColorRed, $GUI_CHECKED )
	GUICtrlSetOnEvent( $idColorRed,   "Colors" )
	GUICtrlSetOnEvent( $idColorGreen, "Colors" )
	GUICtrlSetOnEvent( $idColorBlue,  "Colors" )

	; Vertical splitterbar
	GUICtrlCreateLabel( "", 452, 2, 3, 20, $SS_ETCHEDFRAME )
	
	; Implement settings
	$idThreads = GUICtrlCreateButton( "Threads", 468, 2, 60, 20 )
	GUICtrlSetState( $idThreads, $GUI_DISABLE )
	GUICtrlSetOnEvent( $idThreads, "Threads" )

	GUISetState( @SW_SHOW, $hStatusbar )
	GUISwitch( $hGui )

	; Label to make it look nicer
	GUICtrlCreateLabel( "", 0, $iHeight + 1, $iGuiWidth + 2, $iStatusBarHeight, $SS_ETCHEDFRAME )
	GUICtrlSetResizing( -1, $GUI_DOCKSTATEBAR )

EndFunc

Func Counts()
	$newThreadCount = GUICtrlRead( $idThreadCount )
	$newThreadLength = 35 - $newThreadCount
	GUICtrlSetData( $idThreadLength, $newThreadLength )
	SetThreadsState()
EndFunc

Func Lengths()
	$newThreadLength = GUICtrlRead( $idThreadLength )
	$newThreadCount = 35 - $newThreadLength
	GUICtrlSetData( $idThreadCount, $newThreadCount )
	SetThreadsState()
EndFunc

Func Widths()
	Switch GUICtrlRead( $idThreadWidth )
		Case 1
			$newThreadWidth = 0.03
		Case 2
			$newThreadWidth = 0.07
		Case 3
			$newThreadWidth = 0.15
	EndSwitch
	SetThreadsState()
EndFunc

Func Colors()
	Switch @GUI_CTRLID
		Case $idColorRed
			$newThreadColor = 1
		Case $idColorGreen
			$newThreadColor = 2
		Case $idColorBlue
			$newThreadColor = 3
	EndSwitch
	SetThreadsState()
EndFunc

Func SetThreadsState()
	If $newThreadCount  <> $iThreadCount  Or _
		 $newThreadLength <> $iThreadLength Or _
		 $newThreadWidth  <> $fThreadWidth  Or _
		 $newThreadColor  <> $iThreadColor  Then
		 GUICtrlSetState( $idThreads, $GUI_ENABLE )
	Else
		 GUICtrlSetState( $idThreads, $GUI_DISABLE )
	EndIf
EndFunc

Func Threads()
	$bThreads = True
	GUICtrlSetState( $idThreads, $GUI_DISABLE )
EndFunc
