#include-once


Func InitOpenGLwindow()

	$hOpenGL = GUICreate( "", $iWidth, $iHeight, 0, 0, $WS_CHILD, -1, $hGui )
	GUISetState()

	If GetOpenGLContext( $hOpenGL, $hDC, $hRC ) = 0 Then Return 0
	GUISetState()

	glClearColor( 0.0, 0.0, 0.0, 0.0 )

	glShadeModel( $GL_SMOOTH )

	glClearDepth( 1.0 )
	glDisable( $GL_DEPTH_TEST )

	glBlendFunc( $GL_ONE, $GL_ONE )
	glEnable( $GL_BLEND )

	glHint( $GL_PERSPECTIVE_CORRECTION_HINT, $GL_NICEST )

	glLineWidth( 2 )

	GUISwitch( $hGui )
	GUISetState()

	Return 1

EndFunc


Func WM_MOUSEMOVE( $hWnd, $iMsg, $wParam, $lParam )
	#forceref $iMsg, $wParam
	Switch $hWnd
		Case $hOpenGL
			$xMouse = BitAND( $lParam, 65535 )
			$yMouse = BitShift( $lParam, 16 )
	EndSwitch
	Return $GUI_RUNDEFMSG
EndFunc


Func WM_SIZING( $hWnd, $iMsg, $iwParam, $ilParam )
	#forceref $iMsg, $iwParam
	Switch $hWnd
		Case $hGui
			Local $tRECT = DllStructCreate( $tagRECT, $ilParam )
			Local $y = DllStructGetData( $tRECT, "Top" )
			Local $iHeight = DllStructGetData( $tRECT, "Bottom" ) - $y - $iTitleBarHeight - $iBorderWidth - $iStatusBarHeight
			If $hStatusbar Then WinMove( $hStatusbar, "", 2, $iHeight + $iHeightXP )
			If $hStars Then WinMove( $hStars, "", $iStarsXpos, $iHeight + $iHeightXP )
	EndSwitch
	Return $GUI_RUNDEFMSG
EndFunc


Func GUI_EVENT_RESIZE()
	Local $aPos = WinGetPos( $hGui )
	$iWidth = $aPos[2] - 2 * $iBorderWidth
	$iHeight = $aPos[3] - $iTitleBarHeight - $iBorderWidth - $iStatusBarHeight
	WinMove( $hOpenGL, "", 0, 0, $iWidth, $iHeight )
	If $hStatusbar Then WinMove( $hStatusbar, "", 2, $iHeight + $iHeightXP )
	If $hStars Then WinMove( $hStars, "", $iStarsXpos, $iHeight + $iHeightXP )
	$bResize = True
EndFunc
