Global $NumberOfVertices = 36

Global $RightExtent  = 0.8
Global $LeftExtent   = -$RightExtent
Global $TopExtent    = 0.20
Global $MiddleExtent = 0.0
Global $BottomExtent = -$TopExtent
Global $FrontExtent  = -1.25
Global $RearExtent   = -1.75

Global $aVertexData[$NumberOfVertices*3+$NumberOfVertices*4] = [ _
  $LeftExtent,   $TopExtent,    $RearExtent,  _ ; object 1 positions
  $LeftExtent,   $MiddleExtent, $FrontExtent, _
  $RightExtent,  $MiddleExtent, $FrontExtent, _
  $RightExtent,  $TopExtent,    $RearExtent,  _
  $LeftExtent,   $BottomExtent, $RearExtent,  _
  $LeftExtent,   $MiddleExtent, $FrontExtent, _
  $RightExtent,  $MiddleExtent, $FrontExtent, _
  $RightExtent,  $BottomExtent, $RearExtent,  _
  $LeftExtent,   $TopExtent,    $RearExtent,  _
  $LeftExtent,   $MiddleExtent, $FrontExtent, _
  $LeftExtent,   $BottomExtent, $RearExtent,  _
  $RightExtent,  $TopExtent,    $RearExtent,  _
  $RightExtent,  $MiddleExtent, $FrontExtent, _
  $RightExtent,  $BottomExtent, $RearExtent,  _
  $LeftExtent,   $BottomExtent, $RearExtent,  _
  $LeftExtent,   $TopExtent,    $RearExtent,  _
  $RightExtent,  $TopExtent,    $RearExtent,  _
  $RightExtent,  $BottomExtent, $RearExtent,  _
  $TopExtent,    $RightExtent,  $RearExtent,  _ ; object 2 positions
  $MiddleExtent, $RightExtent,  $FrontExtent, _
  $MiddleExtent, $LeftExtent,   $FrontExtent, _
  $TopExtent,    $LeftExtent,   $RearExtent,  _
  $BottomExtent, $RightExtent,  $RearExtent,  _
  $MiddleExtent, $RightExtent,  $FrontExtent, _
  $MiddleExtent, $LeftExtent,   $FrontExtent, _
  $BottomExtent, $LeftExtent,   $RearExtent,  _
  $TopExtent,    $RightExtent,  $RearExtent,  _
  $MiddleExtent, $RightExtent,  $FrontExtent, _
  $BottomExtent, $RightExtent,  $RearExtent,  _
  $TopExtent,    $LeftExtent,   $RearExtent,  _
  $MiddleExtent, $LeftExtent,   $FrontExtent, _
  $BottomExtent, $LeftExtent,   $RearExtent,  _
  $BottomExtent, $RightExtent,  $RearExtent,  _
  $TopExtent,    $RightExtent,  $RearExtent,  _
  $TopExtent,    $LeftExtent,   $RearExtent,  _
  $BottomExtent, $LeftExtent,   $RearExtent,  _
  0.75, 0.75, 1.0, 1.0, _ ; green, object 1 colors
  0.75, 0.75, 1.0, 1.0, _
  0.75, 0.75, 1.0, 1.0, _
  0.75, 0.75, 1.0, 1.0, _
  0.0,  0.5,  0.0, 1.0, _ ; blue
  0.0,  0.5,  0.0, 1.0, _
  0.0,  0.5,  0.0, 1.0, _
  0.0,  0.5,  0.0, 1.0, _
  1.0,  0.0,  0.0, 1.0, _ ; red
  1.0,  0.0,  0.0, 1.0, _
  1.0,  0.0,  0.0, 1.0, _
  0.8,  0.8,  0.8, 1.0, _ ; grey
  0.8,  0.8,  0.8, 1.0, _
  0.8,  0.8,  0.8, 1.0, _
  0.5,  0.5,  0.0, 1.0, _ ; brown
  0.5,  0.5,  0.0, 1.0, _
  0.5,  0.5,  0.0, 1.0, _
  0.5,  0.5,  0.0, 1.0, _
  1.0,  0.0,  0.0, 1.0, _ ; red, object 2 colors
  1.0,  0.0,  0.0, 1.0, _
  1.0,  0.0,  0.0, 1.0, _
  1.0,  0.0,  0.0, 1.0, _
  0.5,  0.5,  0.0, 1.0, _ ; brown
  0.5,  0.5,  0.0, 1.0, _
  0.5,  0.5,  0.0, 1.0, _
  0.5,  0.5,  0.0, 1.0, _
  0.0,  0.5,  0.0, 1.0, _ ; blue
  0.0,  0.5,  0.0, 1.0, _
  0.0,  0.5,  0.0, 1.0, _
  0.75, 0.75, 1.0, 1.0, _ ; green
  0.75, 0.75, 1.0, 1.0, _
  0.75, 0.75, 1.0, 1.0, _
  0.8,  0.8,  0.8, 1.0, _ ; grey
  0.8,  0.8,  0.8, 1.0, _
  0.8,  0.8,  0.8, 1.0, _
  0.8,  0.8,  0.8, 1.0 ]

Global $aIndexData[8*3] = [ _
   0,  2,  1, _
   3,  2,  0, _
   4,  5,  6, _
   6,  7,  4, _
   8,  9, 10, _
  11, 13, 12, _
  14, 16, 15, _
  17, 16, 14 ]
