#include <Array.au3>

Opt( "GUIOnEventMode", 1 )
Opt( "MustDeclareVars", 1 )

Global $hGui, $hDC, $hRC

#include "utilities\includes.au3"

MainFunc()
ExitFunc()

Func MainFunc()

	$hGui = GUICreate( ScriptName(), 400, 300, 400, 100 )

	EnableOpenGL( $hGui, $hDC, $hRC )

	Local $sExtensions, $aExtensions
	$sExtensions = wglGetExtensionsStringEXT()
	If @error Then
		MsgBox( 16, ScriptName(), "Error: " & @error & " " & @extended )
		ExitFunc()
	EndIf
	$aExtensions = StringSplit( $sExtensions, " " )
	ReDim $aExtensions[$aExtensions[0]]
	$aExtensions[0] -= 1

	_ArrayDisplay( $aExtensions, ScriptName() )

EndFunc

Func ExitFunc()
	DisableOpenGL( $hGui, $hDC, $hRC )
	GUIDelete( $hGui )
	CloseDlls()
	Exit
EndFunc
